import React from 'react';
import { withProtected } from '../src/context/hooks/route';

function Admin({ auth, pathname }: any) {
  const { handleLogout, user, error } = auth;

  return (
    <div>
      {error?.[pathname] && <h4 style={{ color: 'red' }}>{error[pathname]}</h4>}

      <h1>{user.uid}</h1>
      <h1>{user.emailVerified ? 'Verified' : 'not verified'}</h1>

      <button onClick={handleLogout}>Logout</button>
    </div>
  );
}

export default withProtected(Admin);
